package com.emr.service;

import com.emr.dto.ThreeDaysFileDto;
import com.emr.entity.OffsetLimitPage;
import com.emr.util.Msg;
import com.emr.vo.ExecuteVo;
import com.emr.vo.MedicalOverdueReportVo;
import com.emr.vo.ThreeDaysFileVo;

import java.util.List;

/**
 * @InterfaceName StatementService
 * @Description 报表接口
 * @Author linjj
 * @Date 2024/1/11 14:31
 * @Version 1.0
 */
public interface StatementService {

    List<ThreeDaysFileVo> threeDaysFileList(ThreeDaysFileDto dto);

    OffsetLimitPage getMedicalOverdueReportList(Integer offset, Integer limit);

     Msg saveMedicalOverdueExecute(ThreeDaysFileDto dto);

    ExecuteVo executeList();
}
